package lab9;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.Dimension;
import java.util.Arrays;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;

public class Main {
    
    public static void main(String[] args) {
        JButton stopButton = new JButton("OK");
        stopButton.setPreferredSize(new Dimension(60,60));
        CardPanel cardPanel = new CardPanel(stopButton);
        JFrame frame = new JFrame();
        Container content = frame.getContentPane();
        content.setLayout(new BorderLayout());
        content.add(BorderLayout.CENTER,cardPanel);
        JPanel eastPanel = new JPanel();
        eastPanel.add(stopButton);
        content.add(BorderLayout.EAST,eastPanel);
        frame.pack();
        frame.setResizable(false);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setVisible(true);
        
        while(true){
            Card[] cards = new Card[7];
            for(int i=0; i<7; i++) {
                cards[i] = new Card(CardType.values()[(int)(5*Math.random())]);
            }
            cards = cardPanel.selectCards(cards);
            System.out.println(Arrays.toString(cards));
        }
    }
    
}
